View Issue Details

IDProjectCategoryView StatusLast Update
13609Bug reports[All Projects] Print Viewpublic2018-05-25 11:30
Reporterblocka Assigned To 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.6.x 
Target VersionFixed in Version3.7.x 
Summary13609: {QUEXMLPDF} Placeholder in template for Save to PDF triggers error if shown on welcome page
Description

When I add {QUEXMLPDF} to a template to enable the "Save to PDF" (which populates the queXMLPDF file with the participant's current responses -- excluding questions on current page), the "Save to PDF" appears on the welcome page.

Problem is that at this point, when I click on the Save to PDF link, I see the error message:

Error We are sorry but your session has experienced. Either you have been inactive for too long, you have cookies disabled for your browser, or there were problems with your connection. Please contact adminname (survey admin email) for further assistance

It would be nice if we could avoid this error.

Ideally, the Save to PDF link would still be usable on the welcome page, in case someone would like to download a copy of the survey for offline review -- we just wouldn't see the error.

TagsNo tags attached.
Complete LimeSurvey version number (& build)2.73.0 b171219 (but confirmed in latest LS 3 release as well)
I will donate to the project if issue is resolvedNo
BrowserAll
Database & DB-VersionmySQL 5.6.37
Server OS (if known)CentOs
Webserver software & version (if known)Apache
PHP Version7.0.19

Activities

adamzammit

adamzammit

2018-04-23 08:34

developer   ~47486

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27048

ollehar

ollehar

2018-04-23 10:45

administrator   ~47490

Fix committed to develop branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27054

ollehar

ollehar

2018-04-23 11:31

administrator   ~47491

Is this resolved in master branch?

adamzammit

adamzammit

2018-04-24 03:35

developer   ~47499

Yes it is resolved in the master branch.

Thanks,
Adam

c_schmitz

c_schmitz

2018-05-25 11:30

administrator   ~47841

Version 3.8.1+180524 released

Related Changesets

LimeSurvey: master d5983588

2018-04-23 08:17:14

adamzammit

Details Diff
Fixed issue 13609: {QUEXMLPDF} Placeholder in template for Save to PDF triggers error if shown on welcome page Affected Issues
13609
mod - application/helpers/replacements_helper.php Diff File

LimeSurvey: develop 0a54c738

2018-04-23 08:17:14

adamzammit


Committer: ollehar Details Diff
Fixed issue 13609: {QUEXMLPDF} Placeholder in template for Save to PDF triggers error if shown on welcome page Affected Issues
13609
mod - application/helpers/replacements_helper.php Diff File

LimeSurvey: master 6d6cf33a

2018-04-23 08:33:50

adamzammit


Committer: GitHub Details Diff
Merge pull request #1052 from adamzammit/fix-13609

Fixed issue 13609: {QUEXMLPDF} Placeholder in template for Save to P…
Affected Issues
13609
mod - application/helpers/replacements_helper.php Diff File

Issue History

Date Modified Username Field Change
2018-04-17 16:53 blocka New Issue
2018-04-19 09:22 adamzammit Assigned To => adamzammit
2018-04-19 09:22 adamzammit Status new => assigned
2018-04-23 08:34 adamzammit Changeset attached => LimeSurvey master d5983588
2018-04-23 08:34 adamzammit Changeset attached => LimeSurvey master 6d6cf33a
2018-04-23 08:34 adamzammit Note Added: 47486
2018-04-23 08:34 adamzammit Resolution open => fixed
2018-04-23 10:45 ollehar Changeset attached => LimeSurvey develop 0a54c738
2018-04-23 10:45 ollehar Note Added: 47490
2018-04-23 10:45 ollehar Assigned To adamzammit => ollehar
2018-04-23 11:31 ollehar Assigned To ollehar =>
2018-04-23 11:31 ollehar Note Added: 47491
2018-04-23 11:31 ollehar Assigned To => ollehar
2018-04-23 11:31 ollehar Status assigned => new
2018-04-23 11:32 ollehar Assigned To ollehar =>
2018-04-24 03:35 adamzammit Note Added: 47499
2018-04-24 10:06 ollehar Status new => resolved
2018-04-24 10:06 ollehar Fixed in Version => 3.7.x
2018-05-25 11:30 c_schmitz Note Added: 47841
2018-05-25 11:30 c_schmitz Status resolved => closed